Record Class SymbolAnalysisRequest
java.lang.Object
java.lang.Record
com.bluebell.greenhouse.platform.models.api.dto.symbol.analysis.SymbolAnalysisRequest
- Record Components:
symbolUid- optional symbol uidsymbolAliasUid- optional symbol alias uidpreferredDataSource- optional preferred data source codetimeInterval- required market time interval codestart- optional start dateend- optional end datelookbackBars- optional lookback barsasOf- optional end anchor datesentimentBucketDays- optional sentiment bucketing intervalforwardHorizonBars- optional forward horizon bar countssigmaThresholds- optional sigma thresholdsstrategyReferenceCodes- optional strategy reference codes
public record SymbolAnalysisRequest(String symbolUid, String symbolAliasUid, String preferredDataSource, String timeInterval, LocalDate start, LocalDate end, Integer lookbackBars, LocalDate asOf, Integer sentimentBucketDays, List<Integer> forwardHorizonBars, List<Double> sigmaThresholds, List<String> strategyReferenceCodes)
extends Record
Request payload for symbol analysis service workflows.
- Version:
- 2.0.4
- Author:
- Stephen Prizio
-
Constructor Summary
ConstructorsConstructorDescriptionSymbolAnalysisRequest(String symbolUid, String symbolAliasUid, String preferredDataSource, String timeInterval, LocalDate start, LocalDate end, Integer lookbackBars, LocalDate asOf, Integer sentimentBucketDays, List<Integer> forwardHorizonBars, List<Double> sigmaThresholds, List<String> strategyReferenceCodes) Creates an instance of aSymbolAnalysisRequestrecord class. -
Method Summary
Modifier and TypeMethodDescriptionasOf()Returns the value of theasOfrecord component.end()Returns the value of theendrecord component.final booleanIndicates whether some other object is "equal to" this one.Returns the value of theforwardHorizonBarsrecord component.static SymbolAnalysisRequestfrom(SymbolAnalysisQueryParameters queryParameters) Builds aSymbolAnalysisRequestfrom bound query parameters.final inthashCode()Returns a hash code value for this object.Returns the value of thelookbackBarsrecord component.Returns the value of thepreferredDataSourcerecord component.Returns the value of thesentimentBucketDaysrecord component.Returns the value of thesigmaThresholdsrecord component.start()Returns the value of thestartrecord component.Returns the value of thestrategyReferenceCodesrecord component.Returns the value of thesymbolAliasUidrecord component.Returns the value of thesymbolUidrecord component.Returns the value of thetimeIntervalrecord component.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
SymbolAnalysisRequest
public SymbolAnalysisRequest(String symbolUid, String symbolAliasUid, String preferredDataSource, String timeInterval, LocalDate start, LocalDate end, Integer lookbackBars, LocalDate asOf, Integer sentimentBucketDays, List<Integer> forwardHorizonBars, List<Double> sigmaThresholds, List<String> strategyReferenceCodes) Creates an instance of aSymbolAnalysisRequestrecord class.- Parameters:
symbolUid- the value for thesymbolUidrecord componentsymbolAliasUid- the value for thesymbolAliasUidrecord componentpreferredDataSource- the value for thepreferredDataSourcerecord componenttimeInterval- the value for thetimeIntervalrecord componentstart- the value for thestartrecord componentend- the value for theendrecord componentlookbackBars- the value for thelookbackBarsrecord componentasOf- the value for theasOfrecord componentsentimentBucketDays- the value for thesentimentBucketDaysrecord componentforwardHorizonBars- the value for theforwardHorizonBarsrecord componentsigmaThresholds- the value for thesigmaThresholdsrecord componentstrategyReferenceCodes- the value for thestrategyReferenceCodesrecord component
-
-
Method Details
-
from
Builds aSymbolAnalysisRequestfrom bound query parameters.- Parameters:
queryParameters-SymbolAnalysisQueryParameters- Returns:
SymbolAnalysisRequest
-
toString
-
hashCode
-
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
symbolUid
-
symbolAliasUid
Returns the value of thesymbolAliasUidrecord component.- Returns:
- the value of the
symbolAliasUidrecord component
-
preferredDataSource
Returns the value of thepreferredDataSourcerecord component.- Returns:
- the value of the
preferredDataSourcerecord component
-
timeInterval
Returns the value of thetimeIntervalrecord component.- Returns:
- the value of the
timeIntervalrecord component
-
start
-
end
-
lookbackBars
Returns the value of thelookbackBarsrecord component.- Returns:
- the value of the
lookbackBarsrecord component
-
asOf
-
sentimentBucketDays
Returns the value of thesentimentBucketDaysrecord component.- Returns:
- the value of the
sentimentBucketDaysrecord component
-
forwardHorizonBars
Returns the value of theforwardHorizonBarsrecord component.- Returns:
- the value of the
forwardHorizonBarsrecord component
-
sigmaThresholds
Returns the value of thesigmaThresholdsrecord component.- Returns:
- the value of the
sigmaThresholdsrecord component
-
strategyReferenceCodes
Returns the value of thestrategyReferenceCodesrecord component.- Returns:
- the value of the
strategyReferenceCodesrecord component
-